#pragma once

// Base Class
#include "../Converter.h"

// Simox
#include <SimoxUtility/json.h>

namespace armarx::armem::server::ltm::processor::converter::data::object
{
    class JsonConverter : public ObjectConverter
    {
    public:
        JsonConverter() : ObjectConverter(ConverterType::Str, "dict", ".json")
        {
        }

    protected:
        ConversionResult _convert(const aron::data::DictPtr& data) final;
        aron::data::DictPtr _convert(const ConversionResult& data,
                                     const armarx::aron::Path& p) final;
    };
} // namespace armarx::armem::server::ltm::processor::converter::data::object
